Home | Documentation | Download | Platforms | Projects | Mailing Lists | Version History

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GML_error Struct Reference

Reason and position of an error in a GML file. More...

List of all members.

## Public Attributes

GML_error_value | err_num
int | line
int | column

## Detailed Description

Reason and position of an error in a GML file.

When an error occurs while parsing the structure of a GML file `GML_error` is used to return the type and position of the error detected. Position is specified by `line` and `column`, but might be somewhat imprecise. However at least the line number should not differ too much from the real position.

See also:
  graph::load

## Member Data Documentation

GML_error_value GML_error::err_num

Contains the error description as symbolic constant:

- `GML_FILE_NOT_FOUND`: A file with that name doesn't exist.
- `GML_OK`: No error :-)
- `GML_TOO_MANY_BRACKETS`: A mismatch of brackets was detected, i.e. there were too many closing brackets (`]`).
- `GML_OPEN_BRACKET`: Now, there were too many opening brackets (`[`)
- `GML_TOO_MANY_DIGITS`: The number of digits a integer or floating point value can have is limited to 1024, this should be enough :-)
- `GML_PREMATURE_EOF`: An EOF occured, where it wasn't expected, e.g. while scanning a string.
- `GML_SYNTAX`: The file isn't a valid GML file, e.g. a mismatch in the key-value pairs.
- `GML_UNEXPECTED`: A character occured, where it makes no sense, e.g. non-numerical characters in numbers or keys beginning with numbers

int GML_error::line

Contains the line, where the error was detected. This will usually be near the line where the error really is located.

int GML_error::column

Contains the column, where the error was detected.

University of Passau - FMI - Theoretical Computer Science

Design © 2002, 2003 Marcus Raitner, University of Passau